Subject: Re: ARP table question

From: Ben Greear <[email-masked]>
Date: Thu, 20 Nov 2008 09:23:53 -0800

David Miller wrote:

>> After some more testing, I can still get it into a bad
>> state if I have a retrans timer of 1 sec and a randomness of 5 secs
>> and manage to cause all 1000 arp entries to go stale at once (by
>> yanking a cable, for instance).
>>
>> It seems I have to bump up the base timer to 3-5 seconds (I'm
>> leaving the random backoff at 5 secs as well).
> 
> This scheme still seems hackish to me, so I'm going to defer on this
> for now.

You think something like an exponential backoff capped at some user-configurable
max-value would be better?

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com